<?php
/**
 * Code4rest functions and definitions
 *
 * This file must be parseable by PHP 5.2.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package code4rest
 */

define( 'CODE4REST_VERSION', '1.1.40' );
define( 'CODE4REST_MINIMUM_WP_VERSION', '5.4' );
define( 'CODE4REST_MINIMUM_PHP_VERSION', '7.2' );

// Bail if requirements are not met.
if ( version_compare( $GLOBALS['wp_version'], CODE4REST_MINIMUM_WP_VERSION, '<' ) || version_compare( phpversion(), CODE4REST_MINIMUM_PHP_VERSION, '<' ) ) {
	require get_template_directory() . '/inc/back-compat.php';
	return;
}
// Include WordPress shims.
require get_template_directory() . '/inc/wordpress-shims.php';

// Load the `code4rest()` entry point function.
require get_template_directory() . '/inc/class-theme.php';

// Load the `code4rest()` entry point function.
require get_template_directory() . '/inc/functions.php';

// Initialize the theme.
call_user_func( 'Code4rest\code4rest' );

// Custom Function
require get_template_directory() . '/install-plugin/code4rest-plugins-install.php';
 // noun function
 require get_template_directory() . '/dynamic/functions.php';